import configparser
from pySAXS.tools import filetools
from pySAXS.LS.SAXSparametersXML import rptOpen
'''
example on how to read and display values from rpt files 
'''

	
def getFlux(directory):
	l=filetools.listFiles(directory,"*.rpt")
	for n in l:
		r=rptOpen(n)
		print(n,'\t',r.get('acquisition','transmitted flux'))

	
'''
>>>getFlux('Q://NIMBE//LIONS//SAXS//WAXS//2015//OT')
Q://NIMBE//LIONS//SAXS//WAXS//2015//OT\OT-2015-08-20-026-3600s.rpt 	7.13296890259
Q://NIMBE//LIONS//SAXS//WAXS//2015//OT\OT-2015-08-20-027-3600s.rpt 	6.55224132538
Q://NIMBE//LIONS//SAXS//WAXS//2015//OT\OT-2015-08-20-031-3600s.rpt 	6.60907649994
Q://NIMBE//LIONS//SAXS//WAXS//2015//OT\OT-2015-08-20-039-02-3600s.rpt 	6.38640880585
Q://NIMBE//LIONS//SAXS//WAXS//2015//OT\OT-2015-08-20-041-02-3600s.rpt 	5.02051734924
Q://NIMBE//LIONS//SAXS//WAXS//2015//OT\OT-2015-08-20-416-3600s.rpt 	6.88144254684
Q://NIMBE//LIONS//SAXS//WAXS//2015//OT\OT-2015-08-20-background-1800s.rpt 	0
Q://NIMBE//LIONS//SAXS//WAXS//2015//OT\OT-2015-08-20-background-3600s.rpt 	0
Q://NIMBE//LIONS//SAXS//WAXS//2015//OT\OT-2015-08-20-Bhag-1800s.rpt 	5.61061906815
Q://NIMBE//LIONS//SAXS//WAXS//2015//OT\OT-2015-08-20-CV-3600s.rpt 	6.42282533646
Q://NIMBE//LIONS//SAXS//WAXS//2015//OT\OT-2015-08-20-directbeam-1s.rpt 	0.0304875914007
Q://NIMBE//LIONS//SAXS//WAXS//2015//OT\OT-2015-08-20-directbeam-2s.rpt 	0.0234432294965
Q://NIMBE//LIONS//SAXS//WAXS//2015//OT\OT-2015-08-20-lupolen-1800s.rpt 	6.18724012375
Q://NIMBE//LIONS//SAXS//WAXS//2015//OT\OT-2015-08-20-tetradec-1800s.rpt 	6.86808919907
Q://NIMBE//LIONS//SAXS//WAXS//2015//OT\OT-2015-08-20-trou-1800s.rpt 	7.22730445862
Q://NIMBE//LIONS//SAXS//WAXS//2015//OT\OT-2015-08-20-trou-3600s.rpt 	6.39916419983
Q://NIMBE//LIONS//SAXS//WAXS//2015//OT\OT-2015-08-21-060-03-3600s.rpt 	5.30060911179
Q://NIMBE//LIONS//SAXS//WAXS//2015//OT\OT-2015-08-21-068-3600s.rpt 	5.30691337585
Q://NIMBE//LIONS//SAXS//WAXS//2015//OT\OT-2015-08-21-160-3600s.rpt 	5.67172193527
'''
	